﻿
using Model;
using System.Collections.Immutable;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;

namespace EFlib
{
    public class EFChampion
    {
        /**** Only Attributs ****/
        [Key]
        public string Name { get; set; }
        [MaxLength(500)]
        public string Bio { get; set; }
        public string Icon { get; set; }
        public ReadOnlyDictionary<string, int> Characteristics { get; private set; }
        public ChampionClass Class { get; set; }
        public ReadOnlyCollection<EFSkin> Skins { get; private set; }
        public ImmutableHashSet<EFSkill> Skills { get; private set; }
        public LargeImage Image { get; set; }
    }
}